<?php
//****************************************请求权限****************************************
require("locked.php");                                                                 //*
setlocked($_SESSION[rightId]);                                                         //*
//****************************************************************************************

echo '<script>document.title="处理结果通知";</script>';

include("cnn.php");

//删除前检查数据是否已经审核；
$strsql='select * from '.$_SESSION[jc_tbl].' where id="'.$_POST[id].'" and chk is not null';
$sql=$mysqli->query($strsql);
$afr=$sql->num_rows;
if($afr==1){
	echo '删除失败；<a href="#" onclick="javascript:history.back()">返回</a><br>';
	echo '原因：该数据已经被审核；';
	exit();
}
$sql->free();

//删除前检查数据是否已经被凭证表使用；
switch($_SESSION[jc_tbl]){
	    case "jc_xjll":
		    $strsql="select * from v1 where xjll='".$_POST[id]."'";
			break;
		case "jc_kh":
		    $strsql="select * from v1 where kh='".$_POST[id]."'";
			break;
		case "jc_gr":
		    $strsql="select * from v1 where gr='".$_POST[id]."'";
			break;
		case "jc_ch":
		    $strsql="select * from v1 where ch='".$_POST[id]."'";
			break;	
		case "jc_gys":
		    $strsql="select * from v1 where gys='".$_POST[id]."'";
			break;
		case "jc_bm":
		    $strsql="select * from v1 where bm='".$_POST[id]."'";
			break;
		case "jc_xm":
		    $strsql="select * from v1 where xm='".$_POST[id]."'";
			break;
		default:
		    echo '传导的$_SESSION[jc_tbl]变量有误；';
	}
	
$sql=$mysqli->query($strsql);
$afr=$sql->num_rows;
if($afr>0){
	echo '删除失败；<a href="#" onclick="javascript:history.back()">返回</a>';
	echo '<br>原因：该数据已经被凭证表使用'.$afr.'次；';
	exit();
}
$sql->free();

//删除数据开始；
$strsql='delete from '.$_SESSION[jc_tbl].' where id="'.$_POST[id].'"';
$mysqli->query($strsql);
$afr=$mysqli->affected_rows;
if($afr>0){ //如果存在数据；
	echo '删除成功：共有'.$afr.'条记录受到了影响；';
}else{
    echo '删除失败；<a href="#" onclick="javascript:history.back()">返回</a>';
}
$mysqli->close();
?>